IdentifierProperty (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tuple
Class IdentifierProperty

    java.lang.Object
      org.hibernate.tuple.Property
          org.hibernate.tuple.IdentifierProperty

All Implemented Interfaces:
  Serializable

    public class IdentifierProperty

extends Property

Represents a defined entity identifier property within the Hibernate runtime-metamodel.

See Also:
  Serialized Form

Constructor Summary
`IdentifierProperty(String name, String node, Type type, boolean embedded, IdentifierValue unsavedValue, IdentifierGenerator identifierGenerator)` Construct a non-virtual identifier property.
`IdentifierProperty(Type type, boolean embedded, boolean hasIdentifierMapper, IdentifierValue unsavedValue, IdentifierGenerator identifierGenerator)` Construct a virtual IdentifierProperty.

Method Summary
`IdentifierGenerator` | `getIdentifierGenerator()`
`IdentifierValue` | `getUnsavedValue()`
`boolean` | `hasIdentifierMapper()`
`boolean` | `isEmbedded()`
`boolean` | `isIdentifierAssignedByInsert()`
`boolean` | `isVirtual()`

Methods inherited from class org.hibernate.tuple.Property
`getName, getNode, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IdentifierProperty

    public IdentifierProperty(String name,
                              String node,
                              Type type,
                              boolean embedded,
                              IdentifierValue unsavedValue,
                              IdentifierGenerator identifierGenerator)

  Construct a non-virtual identifier property.

  Parameters:
    `name` - The name of the property representing the identifier within its owning entity.
    `node` - The node name to use for XML-based representation of this property.
    `type` - The Hibernate Type for the identifier property.
    `embedded` - Is this an embedded identifier.
    `unsavedValue` - The value which, if found as the value on the identifier property, represents new (i.e., un-saved) instances of the owning entity.
    `identifierGenerator` - The generator to use for id value generation.

### IdentifierProperty

    public IdentifierProperty(Type type,
                              boolean embedded,
                              boolean hasIdentifierMapper,
                              IdentifierValue unsavedValue,
                              IdentifierGenerator identifierGenerator)

  Construct a virtual IdentifierProperty.

  Parameters:
    `type` - The Hibernate Type for the identifier property.
    `embedded` - Is this an embedded identifier.
    `unsavedValue` - The value which, if found as the value on the identifier property, represents new (i.e., un-saved) instances of the owning entity.
    `identifierGenerator` - The generator to use for id value generation.

Method Detail

### isVirtual

    public boolean isVirtual()

### isEmbedded

    public boolean isEmbedded()

### getUnsavedValue

    public IdentifierValue getUnsavedValue()

### getIdentifierGenerator

    public IdentifierGenerator getIdentifierGenerator()

### isIdentifierAssignedByInsert

    public boolean isIdentifierAssignedByInsert()

### hasIdentifierMapper

    public boolean hasIdentifierMapper()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.